Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511018 - Force overwrite doesn't work in Czech locale
Summary: Force overwrite doesn't work in Czech locale
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: e2fsprogs
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukáš Czerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-08 14:29 UTC by Jaroslav Škarvada
Modified: 2018-05-22 07:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-22 07:39:41 UTC


Attachments (Terms of Use)

Description Jaroslav Škarvada 2017-11-08 14:29:27 UTC
Description of problem:
In Czech locale it is not possible to overwrite the existing partition by following the instructions. This maybe just a missing translation but the code could be enhanced, see additional info for details.

Version-Release number of selected component (if applicable):
e2fsprogs-1.43.4-2.fc26.x86_64

How reproducible:
Always

Steps to Reproduce:
1. set czech locale (cs_CZ.utf8)
1. mkfs.vfat /dev/sdb1
2. mkfs.ext4 /dev/sdb1
3. y

Actual results:
mke2fs 1.43.4 (31-Jan-2017)
/dev/sdb1 obsahuje systém souborů vfat
Proceed anyway? (y,N) y

And nothing happened

Expected results:
Creation of the filesystem

Additional info:
The following seems to work:
# LANG=C mkfs.ext4 /dev/sdb1
mke2fs 1.43.4 (31-Jan-2017)
/dev/sdb1 contains a vfat file system
Proceed anyway? (y,N) y
Creating filesystem with 1960704 4k blocks and 490560 inodes
...

Maybe (but I haven't tried) it's just a missing Czech translation for the question and the code expects as a positive answer 'a' (Czech variant for 'y'). This is confusing, I suggest resolving it similar way as other projects (like 'dnf') did, i.e. accepting both language specific letter ('a' in this case) and english 'y' for the positive answer.

Comment 1 Fedora End Of Life 2018-05-03 08:14:40 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Lukáš Czerner 2018-05-22 07:39:41 UTC
This is not an issue in f28 anymore. We're not going to fix this in f26 though.

Thanks!
-Lukas


Note You need to log in before you can comment on or make changes to this bug.